\section{Dataset}

The dataset used in this project was the IAM Handwritten
dataset~\cite{2002:IAM:Dataset}. It is a widely used and standardized dataset in
the field of handwritten text recognition (HTR). The IAM dataset offers a
comprehensive collection of images that encompasses various aspects of
handwritten text, allowing researchers to train and evaluate their models
effectively.

The IAM Handwritten dataset is diverse and includes four main types of images:
\begin{enumerate}
    \item \textbf{Words} (fig.~\ref{fig:word-example}): This subset of the
          dataset consists of images that contain isolated individual words. These
          images are particularly useful for training models to recognize and
          classify handwritten words accurately. The words in this category cover a
          wide range of styles and variations commonly found in natural
          handwriting.\\[0.5cm]
          \begin{minipage}{\linewidth}
              \centering
              \frame{\includegraphics[width=0.3\linewidth]{figures/word.png}}
              \captionof{figure}{Example of word image.}%
              \label{fig:word-example}
          \end{minipage}
    \item \textbf{Lines} (fig.~\ref{fig:line-example}): The line images in
          the dataset contain several words, but they are arranged in a single
          line of text. These images simulate a more realistic scenario,
          resembling sentences or short phrases commonly found in documents or
          forms. Training models on line images helps in developing the ability
          to recognize and interpret text in a coherent context.\\[0.5cm]
          \begin{minipage}{\linewidth}
              \centering
              \frame{\includegraphics[width=\linewidth]{figures/line.png}}
              \captionof{figure}{Example of line image.}%
              \label{fig:line-example}
          \end{minipage}
    \item \textbf{Sentences} (fig.~\ref{fig:sentence-example}): Similar to
          line images, the sentence images also contain multiple words, but they
          are specially tagged and designed to be concatenated in a single long
          image. Concatenating these sentence images allows the construction of
          complete sentences, enabling models to capture the contextual
          information within a sentence and improve the accuracy of recognition.\\[0.5cm]
          \begin{minipage}{\linewidth}
              \centering
              \frame{\includegraphics[width=\linewidth]{figures/sentence-00.png}}\vfill
              \frame{\includegraphics[width=\linewidth]{figures/sentence-01.png}}\vfill
              \frame{\includegraphics[width=\linewidth]{figures/sentence-02.png}}\vfill
              \frame{\includegraphics[width=\linewidth]{figures/sentence-03.png}}\vfill
              \captionof{figure}{Example of sentence images.}%
              \label{fig:sentence-example}
          \end{minipage}
    \item \textbf{Forms} (fig.~\ref{fig:form-example}): This subset includes
          the original images of complete form pages that individuals fill out.
          These form images are later segmented into the above-mentioned classes
          (words, lines, and sentences). The inclusion of form images in the
          dataset reflects the practical application of handwritten text
          recognition in document processing and automation, where understanding
          and extracting information from completed forms are essential tasks.\\[0.5cm]
          \begin{minipage}{\linewidth}
              \centering
              \frame{\includegraphics[width=0.4\linewidth]{figures/form.png}}
              \captionof{figure}{Example of form image.}%
              \label{fig:form-example}
          \end{minipage}
\end{enumerate}
